DEVCLASS_GET_MAXUNIT(9)

NAME
devclass_get_maxunit - find the maximum unit number in the class

SYNOPSIS
#include <sys/param.h>
#include <sys/bus.h>
int
devclass_get_maxunit(devclass_t dc);

DESCRIPTION
Returns the next unit number to be allocated to device instances in the devclass. This is one greater than the highest currently allocated unit.

RETURN VALUES
The devclass_get_maxunit() function returns -1 if dc is NULL; otherwise it returns the next unit number in dc's devclass.

ERRORS
None.

SEE ALSO
devclass(9), device(9)

AUTHORS
This manual page was written by Doug Rabson.

BUGS
The name is confusing since it is one greater than the maximum unit.